| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::ItemQueryPostHooks Class Reference

## Public Member Functions
void | addHook (ItemQueryPostHook *const hook)
| Called by ItemQueryBuilder.
bool | checkPosition (double latitudeNumber, double longitudeNumber)
| Call this method after passing the object to buildQuery and executing the statement.

## Protected Attributes
QList< ItemQueryPostHook * > | m_postHooks

## Member Function Documentation

## ◆ addHook()

void Digikam::ItemQueryPostHooks::addHook | ( | ItemQueryPostHook *const | hook | ) |

Ownership of the object is passed.

## ◆ checkPosition()

bool Digikam::ItemQueryPostHooks::checkPosition | ( | double | latitudeNumber,
|  | double | longitudeNumber
| ) |  |

Returns true if the search is matched.